Subject: Re: bug#71761: 29.3; Emacs-Lisp menu display is incorrect during Edebug

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Jun 2024 15:47:30 +0300

> From: Jeremy Bryant <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sat, 29 Jun 2024 13:20:33 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> >    Please let me know if anything above is unclear or if you are unable
> >> > to reproduce this problem.
> >> 
> >> The following may help to narrow down the problem:
> >> 
> >> In Emacs 29.4:
> >> I am able to reproduce the bug in Emacs GUI
> >> But in Emacs TTY (emacs -nw), the problem seems absent, the menu bar
> >> appears correct.
> >
> > That could be a bug in TTY menus, or maybe a side effect of how the
> > menu bar is displayed there.
> 
> I fear I wasn't clear in my diagnostics.
> 
> It appears from my testing the bug is in Emacs GUI, and the TTY menus
> are OK.

I understood that.  But are you aware of the fact that TTY menus use
the same code from xmenu.c that the X build without toolkits uses?

My point is that the fact that TTY menus don't show this problem is
because there's a bug in xmenu.c which somehow hides this problem.
After all, when the code which traverses the menu structures finds a
menu item that already exists, it could start a new pane or it could
overwrite the existing one.  Which one is the buggy one?